
set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="final_road_outline.str"
  mode="none"
}]

set status [ SclFunction "DESIGN STRING" {
  frm00071={
    {
      _action=display
      idesign_string="10"
    }
  }
}]

set status [ SclFunction "DESIGN GRADE" {
  frm00070={
    {
      _action=display
      units="angle"
      design_grade="65"
    }
  }
}]

set status [ SclFunction "EXPAND SEGMENT" {
  select_point={
    {
      winx="-0.649"
      winy="0.115"
      objectx="18370.218"
      objecty="57315.039"
      objectz="5232.479"
    }
  }
  frm00109={
    {
      _action=display
      expand_type="D"
      offset="200"
    }
  }
}]

set status [ SclFunction "ZOOM ALL" {} ]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "TOOL CANCEL CURRENT" {} ]

set status [ SclFunction "CLEAN STRING" {
  frm00605={
    {
      _action=display
      operation="Duplicate Point"
      dup_pnts_action="remove"
      dup_pnts_target="string"
      dup_pnts_dist_min="0"
      dup_pnts_dist="1.0"
      dimension="2D"
    }
  }
  select_point={
    {
      winx="-0.513"
      winy="0.148"
    }
  }
}]

set status [ SclFunction "CLEAN STRING" {
  frm00605={
    {
      _action=display
      operation="Spikes"
      spike_action="remove"
      spike_angle="5"
      dimension="2D"
    }
  }
  select_point={
    {
      winx="-0.516"
      winy="-0.122"
    }
  }
}]

set status [ SclFunction "CLEAN STRING" {
  frm00605={
    {
      _action=display
      operation="Cross-overs"
      cross_action="mark"
      cross_target="string"
      cross_arg="all"
      dimension="2D"
      markerColour="red"
    }
  }
  select_point={
    {
      winx="-0.565"
      winy="-0.109"
    }
  }
}]

set status [ SclFunction "FILE SAVE" {
  frmsaveFileAs={
    {
      AutoCAD={
        version="Autocad 18"
      }
      output_file="surpac2str:road_cut"
      outputExt=".str"
      saveStyle="N"
      Datamine={
        binary_precision="Single"
      }
      Surpac={
        FileFormat="text"
        ForceValidation="true"
        Purpose=""
        ForceCompatibility="true"
        range=""
      }
      output_type="Surpac String Files"
    }
  }
}]

set status [ SclFunction "CREATE DTM" {
  frm00126={
    {
      _action=display
      location="road_cut"
      break="Y"
      bdyloc="road_cut"
      interpolate_new_points="N"
      bdystr="10"
      spotrng=""
      object_num="1"
      obj_name=""
      check_distance="0.0050"
      anyspots="N"
      inout="I"
      brktest="Y"
      apply_boundary="Y"
      interpolate_new_points_distance="50"
    }
  }
}]

set status [ SclFunction "EXIT GRAPHICS" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="road_cut.dtm"
  mode="openInNewLayer"
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="topo.dtm"
  mode="openInNewLayer"
}]


puts ""
puts ""
puts ""
puts ""
puts "Macro 3a_road_cut_dtm.tcl completed."
puts ""
puts ""
